package VistaControlador;

import java.util.ArrayList;

import javax.swing.JMenu;
import javax.swing.JMenuBar;
import javax.swing.JMenuItem;

public class BarraOpciones extends JMenuBar{
	JMenu menuAr;
	JMenuItem cambiarRuta;
	JMenuItem guardarIns;
	JMenuItem exportarXML;
	JMenuItem importarXML;
	JMenu interfaz;
	JMenuItem modoOscuro;
	JMenuItem modoRosa;
	JMenuItem modoClaro;
	JMenu mostrar;
	JMenuItem mostrarTodo;
	JMenu vistas;
	JMenuItem gestion;
	JMenuItem modificacion;
	JMenuItem menuInterfaz;
	JMenu administracion;
	JMenuItem aniadirUsuario;
	
	/**
	 * Inicializa labarra con los datos por defecto
	 */
	public BarraOpciones() {
		this.menuAr = new JMenu("Archivo");
		this.add(this.menuAr);
		this.guardarIns = new JMenuItem("Guardar instantanea");
		this.menuAr.add(this.guardarIns);
		this.cambiarRuta = new JMenuItem("Cambiar ruta de guardado");
		this.menuAr.add(this.cambiarRuta);
		this.exportarXML = new JMenuItem("Exportar en un XML");
		this.menuAr.add(this.exportarXML);
		this.importarXML = new JMenuItem("Importar en un XML");
		this.menuAr.add(this.importarXML);
		this.interfaz = new JMenu("Interfaz");
		this.add(this.interfaz);
		this.modoClaro = new JMenuItem("Modo claro");
		this.interfaz.add(this.modoClaro);
		this.modoOscuro = new JMenuItem("Modo Oscuro");
		this.interfaz.add(this.modoOscuro);
		this.modoRosa = new JMenuItem("Modo Rosa");
		this.interfaz.add(this.modoRosa);
		this.mostrar=new JMenu("Mostrar");
		this.mostrarTodo = new JMenuItem("Mostrar todo");
		this.mostrar.add(this.mostrarTodo);
		this.add(this.mostrar);
		this.vistas = new JMenu("Vista");
		this.add(this.vistas);
		this.gestion = new JMenuItem("Gestion");
		this.vistas.add(this.gestion);
		this.modificacion = new JMenuItem("Modificacion");
		this.vistas.add(this.modificacion);
		this.menuInterfaz = new JMenuItem("Gestion tema");
		this.vistas.add(this.menuInterfaz);
		this.administracion = new JMenu("Administracion");
		this.add(this.administracion);
		this.aniadirUsuario = new JMenuItem("Aniadir usuario");
		this.administracion.add(this.aniadirUsuario);
	}
}
